src/Web/Areas/Account/Controllers/HomeController.cs
using DatabaseContext.Context;
using DomainModels.Entities.HumanResource;
using Services.Interfaces;
using System;
using System.Globalization;
using System.Web;
using System.Web.Mvc;
using System.Web.Security;
using ViewModels.Account;
using Infrastructure.Security;
using Infrastructure.Cache.Interfaces;
using Infrastructure.Common;
using Infrastructure.Mail.Interfaces;
using System.Threading.Tasks;
using Web.Security;
using Infrastructure.Exceptions;
using System.Linq;
using DomainModels.Entities.Access;
using Infrastructure.Messages;

namespace Web.Areas.Account.Controllers
{
    [AllowAnonymous]
    public class HomeController : Controller
    {

        #region props

        private readonly IUnitOfWork _uow;
        private readonly IUserService _userService;
        private readonly IMailSender _mailSender;
        private readonly ISiteSeoSettingCacheManager _siteSeoSettingCacheManager;
        private readonly IApplicationSettingCacheManager _applicationSettingCacheManager;

        #endregion

        #region ctor

        public HomeController(
            IUnitOfWork uow,
            IUserService userService,
            IMailSender mailSender,
            ISiteSeoSettingCacheManager siteSeoSettingCacheManager,
            IApplicationSettingCacheManager applicationSettingCacheManager)
        {
            _uow = uow;
            _userService = userService;
            _mailSender = mailSender;
            _siteSeoSettingCacheManager = siteSeoSettingCacheManager;
            _applicationSettingCacheManager = applicationSettingCacheManager;
        }

        #endregion


        #region sign up

        // -------------------------------- SignUp
        [HttpGet]
        public ActionResult SignUp()
        {
            return GetSignUpView(new SignUpViewModel());
        }

        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult SignUp(SignUpViewModel model)
        {
            try
            {
                if (!ModelState.IsValid)
                    return GetSignUpView(model);

                if (!CaptchaManager.IsValid(model.cc, model.Captcha))
                {
                    throw new CustomException("کد امنیتی نادرست است");
                }

                _userService.SignUp(model);
                _uow.SaveChanges();

                TempData["Message"] = new Message { IsSuccess = true, MessageBody = "ثبت نام شما با موفقیت انجام شد، جهت ورود به پنل کاربری <a class='blue-link' href='/Account/SignIn'>اینجا</a> کلیک نمایید" };
                return RedirectToAction("Show", "Message", new { area = "" });
            }
            catch (CustomException ex)
            {
                ModelState.AddModelError("", ex.Message);
                return GetSignUpView(model);
            }
        }

        // get sign up view (for captcha)
        private ActionResult GetSignUpView(SignUpViewModel vm)
        {
            vm.cc = CaptchaManager.GenerateHash(new RandomMaker().CreateRandomNumbers(5));

            return View(vm);
        }


        #endregion

        // -------------------------------- SignIn
        #region signin

        [HttpGet]
        public ActionResult SignIn()
        {
            return GetSignInView(new SignInViewModel());
        }


        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult SignIn(SignInViewModel vmSignIn)
        {
            try
            {
                if (!ModelState.IsValid)
                    return GetSignInView(vmSignIn);

                if (!CaptchaManager.IsValid(vmSignIn.cc, vmSignIn.Captcha))
                {
                    throw new CustomException("کد امنیتی نادرست است");
                }

                var user = _userService.SignIn(vmSignIn.Username, vmSignIn.Password);

                ValidateUserOnSignIn(user);

                SetupFormsAuthTicket(user, vmSignIn.RememberMe);

                var roleNames = _userService.GetRoleNamesForUser(user.Id);

                if (roleNames.Contains(RoleName.Administrators) || roleNames.Contains(RoleName.Employees))
                {
                    return RedirectToAction("Show", "Dashboard", new { area = "Admin" });
                }
                else
                {
                    return RedirectToAction("Show", "Dashboard", new { area = "Customer" });
                }
                
            }
            catch (CustomException ex)
            {
                ModelState.AddModelError("", ex.Message);
                return GetSignInView(vmSignIn);
            }

        }

        private void ValidateUserOnSignIn(User user)
        {
            if (user == null)
            {
                throw new CustomException("نام کاربری یا کلمه عبور نادرست است");
            }

            if (user.AccountStatus == DomainModels.Entities.Base.AccountStatus.Baned)
            {
                throw new CustomException("حساب کاربری شما به دلیل '" + user.BanReason +"' مسدود شده است.");
            }

            if (user.AccountStatus == DomainModels.Entities.Base.AccountStatus.Deactive)
            {
                throw new CustomException("حساب کاربری شما غیرفعال است");
            }
        }


        // get signin view (for captcha)
        private ActionResult GetSignInView(SignInViewModel vmSignIn)
        {
            vmSignIn.cc = CaptchaManager.GenerateHash(new RandomMaker().CreateRandomNumbers(5));

            return View(vmSignIn);
        }




        // create login cookie
        private void SetupFormsAuthTicket(User user, bool persistanceFlag)
        {
            var userData = user.Id.ToString(CultureInfo.InvariantCulture);

            var authTicket = new FormsAuthenticationTicket(1, //version
                                user.Username, // name
                                DateTime.Now,             //creation
                                DateTime.Now.AddMinutes(30), //Expiration
                                persistanceFlag, //Persistent
                                userData  // userId
                                );

            var encryptedTicket = FormsAuthentication.Encrypt(authTicket);
            Response.Cookies.Add(new HttpCookie(FormsAuthentication.FormsCookieName, encryptedTicket));
        }

        #endregion


        // -------------------------------- ForgetPassword
        #region forgetpassword

        [HttpGet]
        public ActionResult ForgetPassword()
        {
            return GetForgetPasswordView(new ForgetPasswordViewModel());
        }


        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult ForgetPassword(ForgetPasswordViewModel vmForgetPassword)
        {
            if (!ModelState.IsValid)
            {
                return GetForgetPasswordView(vmForgetPassword);
            }


            if (string.IsNullOrEmpty(vmForgetPassword.Email) || string.IsNullOrWhiteSpace(vmForgetPassword.Email))
            {
                ModelState.AddModelError("", "آدرس ایمیل الزامی است");
                return GetForgetPasswordView(vmForgetPassword);
            }

            ModelState.Clear();

            if (!CaptchaManager.IsValid(vmForgetPassword.cc, vmForgetPassword.Captcha))
            {
                ModelState.AddModelError("", "کد امنیتی نادرست است");
                return GetForgetPasswordView(vmForgetPassword);
            }

            vmForgetPassword.Email = vmForgetPassword.Email.Trim();

            if (!_userService.IsValidEmail(vmForgetPassword.Email))
            {
                ModelState.AddModelError("", "آدرس ایمیل نادرست است");
                return GetForgetPasswordView(vmForgetPassword);
            }

            bool flag = SendForgetPasswordEmail(vmForgetPassword);

            if (flag)
            {
                return View("~/Areas/Account/Views/Home/SuccessForgetPassword.cshtml");
            }
            else
            {
                ModelState.AddModelError("", "خطایی در ارسال ایمیل رخ داده است؛ لطفا دقایقی دیگر مجددا اقدام نمایید");
                return GetForgetPasswordView(vmForgetPassword);
            }

        }


        private bool SendForgetPasswordEmail(ForgetPasswordViewModel vmForgetPassword)
        {
            bool flag = false;
            var userData = _userService.GetForgetPasswordDataByEmail(vmForgetPassword.Email);
            var siteSetting = _siteSeoSettingCacheManager.GetDefaultSetting();
            string subject = string.Format("{0} - فراموشی کلمه عبور", siteSetting.Title);

            // ==============================================[ ارسال ایمیل ]================================================
            string body = string.Format("<div style=\"direction: rtl; font-family: tahoma; font-size: 13px; background-color: #eaeaea;padding: 10px;\"><p style=\"font-family: Arial; font-size: 24px;\"><b>{0} - سیستم فراموشی کلمه عبور</b></p><br /><br /><h2 style=\"font-family: Arial;\">{3}</h2><p style=\"font-family: tahoma; font-size: 13px;\"><span>نام کاربری شما <b>{4}</b> است.</span><br/><br /><span>جهت تنظیم کلمه عبور جدید می توانید بر روی لینک روبرو کلیک نمایید:&nbsp;</span><span style=\"color: blue\"><b><a href=\"{1}/Account/Home/SP/?uc={2}\">تنظیم کلمه عبور جدید</a></b></span></p><p>» پس از کلیک بر روی لینک بالا ، وارد یکی از صفحات سایت ما خواهید شد و از طریق آن صفحه می توانید برای خود کلمه عبور جدید تنظیم نمایید.</p><br /><p style=\"font-family: tahoma; font-size: 13px; color: red;\">» در صورتی که تقاضای فراموشی کلمه عبور از جانب شما نبوده است، لطفا روی لینک بالا <u>کلیک ننمایید</u> و فقط این ایمیل را حذف نمایید.<br /><br />» توجه داشته باشید که لینک بالا <b>یکبار مصرف</b> می باشد.</p><br /><p style=\"font-family: tahoma; font-size: 13px;\">با تشکر.<br /><br /><b><a href=\"{1}\">وب سایت {0}</a></b></p></div>", siteSetting.Title, siteSetting.Url, userData.Code, userData.FullName, userData.Username);

            flag = _mailSender.Send(siteSetting.Title, vmForgetPassword.Email, subject, body);

src/Web/Controllers/CaptchaController.cs
using System;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Drawing.Text;
using System.IO;
using System.Web.Mvc;
using Infrastructure.Security;

namespace Web.Controllers
{
    [AllowAnonymous]
    public class CaptchaController : Controller
    {
        private static readonly Brush ForeColor = Brushes.DarkCyan;
        private const string FontName = "Serif";
        private const int FontSize = 18;
        private const int Width = 210;
        private const int Height = 70;
        private const int NoiseCount = 15;

        [HttpGet]
        public ActionResult Image(string cc)
        {
            if (string.IsNullOrEmpty(cc) || string.IsNullOrWhiteSpace(cc))
                return null;

            string dehashData = DataEncryptor.DecryptTpl(cc);
            string captchaData = dehashData.Split('_')[0];

            var rand = new Random((int)DateTime.Now.Ticks);

            // image stream
            FileContentResult img = null;

            using (var mem = new MemoryStream())
            using (var bmp = new Bitmap(Width, Height))
            using (var mtrx = new Matrix())
            using (var gfx = Graphics.FromImage((Image)bmp))
            {
                gfx.TextRenderingHint = TextRenderingHint.ClearTypeGridFit;
                gfx.SmoothingMode = SmoothingMode.AntiAlias;
                gfx.FillRectangle(Brushes.White, new Rectangle(0, 0, bmp.Width, bmp.Height));

                //add noise
                int rn, xn, yn;
                var pen = new Pen(Color.Yellow);

                for (int i = 1; i < NoiseCount; i++)
                {
                    pen.Color = Color.FromArgb((rand.Next(0, 255)), (rand.Next(0, 255)), (rand.Next(0, 255)));

                    rn = rand.Next(0, (Width / 3));
                    xn = rand.Next(0, Width);
                    yn = rand.Next(0, Height);

                    gfx.DrawEllipse(pen, xn - rn, yn - rn, rn, rn);
                }

                //add chars
                #region draw pic

                float x = 1, y = 1;
                int degree = 10;

                for (int i = 0; i < captchaData.Length; i++)
                {
                    mtrx.Reset();

                    x = (float)(Width * (0.19 * i));

                    y = (float)(Height * 0.19);

                    degree = rand.Next(-25, 25);

                    if (i == 0 && degree > 20)
                    {
                        x += (FontSize + 5);
                        y -= 15;
                    }

                    mtrx.RotateAt(degree, new PointF(x, y));

                    gfx.Transform = mtrx;

                    gfx.DrawString(captchaData[i].ToString(), new Font(FontName, FontSize), ForeColor, x, y);

                    gfx.ResetTransform();
                }
                #endregion

                //render as Jpeg
                bmp.Save(mem, System.Drawing.Imaging.ImageFormat.Jpeg);
                img = this.File(mem.GetBuffer(), "image/Jpeg");
            }

            return img;
        }
	}
}

src/Web/Controllers/HomeController.cs
using Infrastructure.Messages;
using Services.Interfaces;
using System.Threading.Tasks;
using System.Web.Mvc;

namespace Web.Controllers
{
    [AllowAnonymous]
    public class HomeController : Controller
    {

        [HttpGet]
        public ActionResult Index()
        {
            return View();
        }


    }
}

src/Web/Areas/Account/Views/Home/ForgetPassword.cshtml
@model ViewModels.Account.ForgetPasswordViewModel

@{
    ViewBag.Title = "بازیابی نام کاربری و کلمه عبور";
}

<section class="account-box">
    <div class="container">
        <div class="row line-title-seperator">
            <div class="col-md-4">
                <hr class="line">
            </div>
            <div class="col-md-4">
                <h2 class="title">بازیابی نام کاربری و کلمه عبور</h2>
            </div>
            <div class="col-md-4">
                <hr class="line">
            </div>
        </div>
        <div class="row">
            <div class="col-lg-6 col-md-6">
                @using (Html.BeginForm("ForgetPassword", "Home", FormMethod.Post))
                {
                @Html.AntiForgeryToken()
                @Html.ValidationSummary(true)

                <div class="form-group">
                    @Html.LabelFor(c => c.Email, new { @class = "label-control" })
                    @Html.TextBoxFor(c => c.Email, new { @class = "form-control", placeholder = "الزامی است" })
                    @Html.ValidationMessageFor(c => c.Email)
                </div>
                <div class="form-group">
                    <img src="@Url.Action("Image", "Captcha", new { cc = Model.cc, area = "" })" style="margin: 10px 5px 0;border-radius:4px" />

                    <a href="@Url.Action("ForgetPassword", "Home", new { area = "Account" })">
                        <i class="fa fa-refresh"></i>
                    </a>
                </div>
                <div class="form-group">
                    @Html.LabelFor(c => c.Captcha, new { @class = "label-control" })
                    @Html.TextBoxFor(c => c.Captcha, new { @class = "form-control small-txt", placeholder = "الزامی است" })
                    @Html.ValidationMessageFor(c => c.Captcha)
                </div>
                <br />
                <div class="form-group">
                    <input class="btn btn-info" type="submit" value="ارسال" />
                    <br />
                    <hr />
                    <br />
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    @Html.ActionLink("بازگشت به صفحه ورود", "SignIn", "Home", new { area = "Account" }, new { @class = "btn btn-success" })
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    @Html.ActionLink("بازگشت به سایت", "Index", "Home", new { area = "" }, new { @class = "btn btn-info" })
                </div>
                <input name="cc" type="hidden" value="@Model.cc" />
                }
            </div>
            <div class="col-lg-6">
                <div class="alert alert-warning">
                    <div class="txt-center alarm-head"><i class="fa fa-bell-o"></i> <b>توجه</b></div>
                    <ul>
                        <li>از طریق این بخش می توانید نسبت به بازیابی نام کاربری و کلمه عبور خود اقدام نمایید.</li>
                        <li>پس از ورود آدرس ایمیل و کلیک بر روی دکمه <u>ارسال</u>؛ یک ایمیل حاوی نام کاربری و لینک بازیابی کلمه عبور به آدرس ایمیل شما ارسال می گردد.</li>
                    </ul>                    
                </div>
            </div>
        </div>
    </div>
</section>


@section scripts{
    <script src="~/Content/lib/js/jquery.validate.min.js"></script>
    <script src="~/Content/lib/js/jquery.validate.unobtrusive.min.js"></script>
}

src/Web/Areas/Account/Views/Home/SetPassword.cshtml
@model ViewModels.Account.SetPasswordViewModel

@{ 
    ViewBag.Title = "تنظیم کلمه عبور جدید";
}

<section class="account-box">
    <div class="container">
        <div class="row line-title-seperator">
            <div class="col-md-4">
                <hr class="line">
            </div>
            <div class="col-md-4">
                <h2 class="title">تنظیم کلمه عبور جدید</h2>
            </div>
            <div class="col-md-4">
                <hr class="line">
            </div>
        </div>
        <div class="row">
            <div class="col-lg-6 col-md-6">
                @using (Html.BeginForm("SP", "Home", FormMethod.Post))
                {
                    @Html.AntiForgeryToken()
                    @Html.ValidationSummary(true, "", new { @class = "alert alert-danger" })

                    <div class="form-group">
                        @Html.LabelFor(c => c.Password, new { @class = "label-control" })
                        @Html.PasswordFor(c => c.Password, new { @class = "form-control", placeholder = "الزامی است"})
                        @Html.ValidationMessageFor(c => c.Password)
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(c => c.RePassword, new { @class = "label-control" })
                        @Html.PasswordFor(c => c.RePassword, new { @class = "form-control", placeholder = "الزامی است" })
                        @Html.ValidationMessageFor(c => c.RePassword)
                    </div>
                    <div class="form-group">
                        <img src="@Url.Action("Image", "Captcha", new { cc = Model.cc, area = "" })" />

                        <a href="@Url.Action("sp", "Home", new { uc = Request["uc"], area = "Account" })">
                            <i class="fa fa-refresh"></i>
                        </a>
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(c => c.Captcha, new { @class = "label-control" })
                        @Html.TextBoxFor(c => c.Captcha, new { @class = "form-control small-txt", placeholder = "الزامی است" })
                        @Html.ValidationMessageFor(c => c.Captcha)
                    </div>
                    <div class="form-group">
                        <input class="btn btn-info" type="submit" value='ثبت' />
                    </div>
                    <input name="cc" type="hidden" value="@Model.cc"/>
                    @Html.Hidden("Code", Request["uc"])
                }
            </div>
            <div class="col-lg-6 hidden-md">
                <div class="alert alert-warning">
                    <div class="txt-center alarm-head"><i class="fa fa-bell-o"></i> <b>توجه</b></div>
                    <ul>
                        <li>از طریق این بخش می توانید کلمه عبور جدیدی برای خود تنظیم نمایید</li>
                        <li>جهت بازگشت به سایت <a class="blue-link" href="/Home/">اینجا</a> کلیک نمایید</li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</section>

@section scripts{
    <script src="~/Content/lib/js/jquery.validate.min.js"></script>
    <script src="~/Content/lib/js/jquery.validate.unobtrusive.min.js"></script>
}

src/Web/Areas/Account/Views/Home/SignIn.cshtml
@model ViewModels.Account.SignInViewModel

@{
    ViewBag.Title = "ورود";
}

<section class="account-box">
    <div class="container">
        <div class="row line-title-seperator">
            <div class="col-md-4">
                <hr class="line">
            </div>
            <div class="col-md-4">
                <h2 class="title">ورود</h2>
            </div>
            <div class="col-md-4">
                <hr class="line">
            </div>
        </div>

        <div class="row">
            <div class="col-lg-6 col-md-6">
                @using (Html.BeginForm("SignIn", "Home", FormMethod.Post))
                {
                    @Html.AntiForgeryToken()
                    @Html.ValidationSummary(true)

                    <div class="form-group">
                        @Html.LabelFor(c => c.Username, new { @class = "label-control" })
                        @Html.TextBoxFor(c => c.Username, new { @class = "form-control ltr", placeholder = "الزامی است" })
                        @Html.ValidationMessageFor(c => c.Username)
                    </div>
                    <br />
                    <div class="form-group">
                        @Html.LabelFor(c => c.Password, new { @class = "label-control" })
                        @Html.PasswordFor(c => c.Password, new { @class = "form-control ltr", placeholder = "الزامی است" })
                        @Html.ValidationMessageFor(c => c.Password)
                    </div>
                    <div class="form-group">
                        @Html.CheckBoxFor(c => c.RememberMe)
                        @Html.DisplayNameFor(c => c.RememberMe)
                    </div>
                    <div class="form-group">
                        <img src="@Url.Action("Image", "Captcha", new { cc = Model.cc, area = "" })" />

                        <a href="@Url.Action("SignIn", "Home", new { area = "Account" })">
                            <i class="fa fa-refresh"></i>
                        </a>
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(c => c.Captcha, new { @class = "label-control" })
                        @Html.TextBoxFor(c => c.Captcha, new { @class = "form-control small-txt ltr", placeholder = "الزامی است" })
                        @Html.ValidationMessageFor(c => c.Captcha)
                    </div>
                    <br />
                    <div class="form-group">
                        <input class="btn btn-primary" type="submit" value='ورود' />
                        <br />
                        <hr />
                        <br />
                        @Html.ActionLink("بازگشت به سایت", "Index", "Home", new { area = "" }, new { @class = "btn btn-info", style = "width:auto" })
                    </div>
                    <input name="cc" type="hidden" value="@Model.cc" />
                }
            </div>

            <div class="col-lg-6">
                <div class="alert alert-warning">
                    <div class="txt-center alarm-head"><i class="fa fa-bell-o"></i> <b>توجه</b></div>
                    <ul>
                        <li>نام کاربری شما، شماره موبایل شما می باشد</li>
                        <li>در صورتی که در سایت ثبت نام نکرده اید، می بایست ابتدا <a class="blue-link" href="/Account/SignUp">ثبت نام</a> نمایید.</li>
                        <li>در صورتی که نام کاربری و یا کلمه عبور خود را فراموش کرده اید، از طریق بخش <a class="blue-link" href="/Account/ForgetPassword">فراموشی کلمه عبور</a> می توانید نام کاربری و کلمه عبور خود را بدست آورید.</li>
                    </ul>
                </div>
            </div>

        </div>

    </div>
</section>


@section scripts{
    <script src="~/Content/lib/js/jquery.validate.min.js"></script>
    <script src="~/Content/lib/js/jquery.validate.unobtrusive.min.js"></script>
}

src/Web/Areas/Account/Views/Home/SignUp.cshtml
@model ViewModels.Account.SignUpViewModel

@{
    ViewBag.Title = "عضویت";
}
<section class="account-box">
    <div class="container">
        <div class="row line-title-seperator">
            <div class="col-md-4">
                <hr class="line">
            </div>
            <div class="col-md-4">
                <h2 class="title">عضویت</h2>
            </div>
            <div class="col-md-4">
                <hr class="line">
            </div>
        </div>


        <div class="row">
            <div class="col-md-6">

                @using (Html.BeginForm("SignUp", "Home", FormMethod.Post))
                {
                    @Html.AntiForgeryToken()
                    @Html.ValidationSummary(true)

                    <div class="form-group">
                        @Html.LabelFor(c => c.FullName, new { @class = "label-control" })
                        @Html.TextBoxFor(c => c.FullName, new { @class = "form-control", placeholder = "الزامی است" })
                        @Html.ValidationMessageFor(c => c.FullName)
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(c => c.PhoneNumber, new { @class = "label-control" })
                        @Html.TextBoxFor(c => c.PhoneNumber, new { @class = "form-control ltr", placeholder = "الزامی است - با کد شهر و بدون خط تیره وارد نمایید" })
                        @Html.ValidationMessageFor(c => c.PhoneNumber)
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(c => c.EmailAddress, new { @class = "label-control" })
                        @Html.TextBoxFor(c => c.EmailAddress, new { @class = "form-control ltr", placeholder = "الزامی است" })
                        @Html.ValidationMessageFor(c => c.EmailAddress)
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(c => c.Username, new { @class = "label-control" })
                        @Html.TextBoxFor(c => c.Username, new { @class = "form-control ltr", placeholder = "الزامی است" })
                        @Html.ValidationMessageFor(c => c.Username)
                    </div>
                    <br />
                    <div class="form-group">
                        @Html.LabelFor(c => c.Password, new { @class = "label-control" })
                        @Html.PasswordFor(c => c.Password, new { @class = "form-control ltr", placeholder = "الزامی است" })
                        @Html.ValidationMessageFor(c => c.Password)
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(c => c.RePassword, new { @class = "label-control" })
                        @Html.PasswordFor(c => c.RePassword, new { @class = "form-control ltr", placeholder = "الزامی است" })
                        @Html.ValidationMessageFor(c => c.RePassword)
                    </div>
                    <div class="form-group">
                        <img src="@Url.Action("Image", "Captcha", new { cc = Model.cc, area = "" })" />

                        <a href="@Url.Action("SignUp", "Home", new { area = "Account" })">
                            <i class="fa fa-refresh"></i>
                        </a>
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(c => c.Captcha, new { @class = "label-control" })
                        @Html.TextBoxFor(c => c.Captcha, new { @class = "form-control small-txt ltr", placeholder = "الزامی است" })
                        @Html.ValidationMessageFor(c => c.Captcha)
                    </div>
                    <br />
                    <div class="form-group">
                        <input class="btn btn-primary" type="submit" value='عضویت' />
                        <br />
                        <hr />
                        <br />
                        @Html.ActionLink("قبلا ثبت نام کرده ام", "SignIn", "Home", new { area = "Account" }, new { @class = "btn btn-success", style = "width:auto;" })
                        &nbsp;&nbsp;
                        @Html.ActionLink("بازگشت به سایت", "Index", "Home", new { area = "" }, new { @class = "btn btn-info", style = "width:auto;" })
                    </div>
                    <input name="cc" type="hidden" value="@Model.cc" />
                }
            </div>

            <div class="col-md-6">
                <div class="alert alert-warning">
                    <div class="txt-center alarm-head"><i class="fa fa-bell-o"></i> <b>توجه</b></div>
                    <ul>
                        @*<li>
                            اگر قبلا در سایت ثبت نام نموده اید، نیاز به ثبت نام مجدد نیست. به راحتی می توانید <a class="blue-link" href="/Account/SignIn">وارد پنل کاربری خود</a> شوید.
                        </li>
                        <li>اگر قبلا ثبت نام نموده اید ولی نام کاربری و یا کلمه عبور خود را فراموش کرده اید، از طریق بخش <a class="blue-link" href="/Account/ForgetPassword">فراموشی کلمه عبور</a> می توانید نام کاربری و کلمه عبور خود را بدست آورید.</li>
                        <li>
                            نام و نام خانوادگی را با حروف فارسی وارد نمایید. اسامی غیر فارسی تایید هویت نمی شوند.
                        </li>*@
                        <li>
                            یک <u>تلفن ثابت معتبر</u> وارد نمایید، جهت فعالیت و انجام معامله در سایت، تایید شماره تلفن ثابت الزامی است.
                        </li>
                        <li>
                            تلفن ثابت را همراه <u>با کد شهر</u> و <u>بدون خط تیره</u> وارد نمایید.
                            <br />
                            مثال: <span class="example">0219998866</span>
                        </li>
                        <li>
                            یک <u>آدرس ایمیل معتبر</u> وارد نمایید. سیستم ورود به پنل کاربری دو مرحله ای می باشد. رمز دوم ورود به پنل کاربری به ایمیل شما ارسال خواهد شد.
                        </li>
                        <li>
                            یک <u>شماره موبایل معتبر</u> وارد نمایید. جهت فعالیت و انجام معامله در سایت، تایید شماره موبایل الزامی است.
                        </li>
                    </ul>
                </div>
            </div>

        </div>

    </div>
</section>


@section scripts{
    <script src="~/Content/lib/js/jquery.validate.min.js"></script>
    <script src="~/Content/lib/js/jquery.validate.unobtrusive.min.js"></script>
}